## zip 3.0

=== atheos/Makefile ===
######################################################################
#
# Makefile for Info-ZIP's zip, zipcloak, zipnote, and zipsplit on AtheOS
#
# Copyright (C) 1999-2007 Info-ZIP
#                    Chris Herborth (chrish@pobox.com)
#                    Ruslan Nickolaev (nruslan@hotbox.ru)
#
######################################################################
# Things that don't change:

# Punish people who don't have SMP hardware.
MAKE  = make -j 4 -f atheos/Makefile
SHELL = /bin/sh

LN = ln -s
RM = rm -f

BIND = $(CC)
AS   = as

INSTALL = install

# Target directories
prefix = /usr
BINDIR = $(prefix)/bin
manext = 1
MANDIR = $(prefix)/man/man$(manext)
ZIPMANUAL = MANUAL

VERSION = Version 2.3 of __DATE__

######################################################################

CC:=gcc
CFLAGS:=-O3 -march=i586 -Wall -I. -DHAVE_DIRENT_H -DPASSWD_FROM_STDIN -DASMV -DASM_CRC
LFLAGS1:=
LFLAGS2:=
TARGET=$(ZIPS)

######################################################################
# Helpful targets
all:
	$(MAKE) CC=$(CC) CFLAGS="$(CFLAGS)" \
		LFLAGS1="$(LFLAGS1)" LFLAGS2="$(LFLAGS2)" \
		$(TARGET)

######################################################################
# Object file lists and other build goodies

# Object file lists
OBJZ = zip.o zipfile.o zipup.o fileio.o util.o globals.o crc32.o crypt.o \
       ttyio.o atheos.o
OBJI = deflate.o trees.o
OBJA = match.o crc_i386.o
OBJU = zipfile_.o fileio_.o util_.o globals.o atheos_.o
OBJN = zipnote.o  $(OBJU)
OBJC = zipcloak.o $(OBJU) crc32_.o crypt_.o ttyio.o
OBJS = zipsplit.o $(OBJU)

# Headers
ZIP_H = zip.h ziperr.h tailor.h atheos/osdep.h

# What to build?
ZIPS = zip zipnote zipsplit zipcloak

# suffix rules
.SUFFIXES:
.SUFFIXES: _.o .o .c .doc .1
.c_.o:
	$(RM) $*_.c; $(LN) $< $*_.c
	$(CC) -c $(CFLAGS) -DUTIL $*_.c
	$(RM) $*_.c

.c.o:
	$(CC) -c $(CFLAGS) $<

.1.doc:
	groff -man -Tascii $< > $@

# rules for zip, zipnote, zipcloak, zipsplit, and the Zip MANUAL.
$(OBJZ): $(ZIP_H)
$(OBJI): $(ZIP_H)
$(OBJN): $(ZIP_H)
$(OBJS): $(ZIP_H)
$(OBJC): $(ZIP_H)
zip.o crc32.o crypt.o fileio.o zipfile.o zipup.o: crc32.h
zipcloak.o crc32_.o crypt_.o fileio_.o zipfile_.o: crc32.h
zip.o zipup.o crypt.o ttyio.o zipcloak.o crypt_.o: crypt.h
zip.o zipup.o zipnote.o zipcloak.o zipsplit.o: revision.h
zip.o crypt.o ttyio.o zipcloak.o crypt_.o: ttyio.h
zipup.o: atheos/zipup.h

match.o: match.S
	$(CC) -E match.S > matchs.s
	$(AS) -o $@ matchs.s
	$(RM) matchs.s

crc_i386.o: crc_i386.S
	$(CC) -E crc_i386.S > crc_i386s.s
	$(AS) -o $@ crc_i386s.s
	$(RM) crc_i386s.s

atheos.o: atheos/atheos.c
	$(CC) -c $(CFLAGS) atheos/atheos.c

atheos_.o: atheos/atheos.c
	$(RM) $*_.c; $(LN) atheos/atheos.c $*_.c
	$(CC) -c $(CFLAGS) -DUTIL $*_.c
	$(RM) $*_.c

zips: $(ZIPS)
zipsman: $(ZIPS) $(ZIPMANUAL)

zip: $(OBJZ) $(OBJI) $(OBJA)
	$(BIND) -o zip $(LFLAGS1) $(OBJZ) $(OBJI) $(OBJA) $(LFLAGS2)
zipnote: $(OBJN)
	$(BIND) -o zipnote $(LFLAGS1) $(OBJN) $(LFLAGS2)
zipcloak: $(OBJC)
	$(BIND) -o zipcloak $(LFLAGS1) $(OBJC) $(LFLAGS2)
zipsplit: $(OBJS)
	$(BIND) -o zipsplit $(LFLAGS1) $(OBJS) $(LFLAGS2)

$(ZIPMANUAL): man/zip.1
	groff -man -Tascii man/zip.1 > $(ZIPMANUAL)

# install
install:        $(ZIPS)
	$(INSTALL) -m755 $(ZIPS) $(BINDIR)
	mkdir -p $(MANDIR)
	$(INSTALL) -m644 man/zip.1 $(MANDIR)/zip.$(manext)

uninstall:
	-cd $(BINDIR); $(RM) $(ZIPS)
	-cd $(MANDIR); $(RM) zip.$(manext)

dist: $(ZIPMANUAL)
	zip -u9T zip`sed -e '/VERSION/!d' -e 's/.*"\(.*\)".*/\1/' \
			  -e s/[.]//g -e q revision.h` \
	  `awk '/^Makefile/,/vms_zip.rnh/ {print $$1}' < contents`

# clean up after making stuff and installing it
clean:
	$(RM) *.o $(ZIPS) flags

# end of Makefile

=== human68k/Makefile ===
# Makefile for Zip, ZipCloak, ZipNote and ZipSplit for human68k
# Written by NIIMI Satoshi <a01309@cfi.waseda.ac.jp>
#
# 1999/09/23: Modified by Shimazaki Ryo.

ifeq "$(TARGET)" "X68030"
COPT = -m68020-40
AOPT = -m68020 -sCPU020
LDFLAGS = -L/usr/local/lib/lib060
endif

VPATH = human68k

CC = gcc2
CFLAGS = $(COPT) -I. -Wall -O2 -fomit-frame-pointer -fstrength-reduce \
	 -DASM_CRC -D__DOS_INLINE__
#LDFLAGS = -Wl,-x
LIBS = -lhmem -lttyi -lsignal

AS = g2as
ASFLAGS = $(AOPT) -1 -c4 -y -w2

# object file lists
OBJZ = zip.o zipfile.o zipup.o fileio.o util.o globals.o crypt.o ttyio.o \
       crc32.o human68k.o crc_68.o
OBJI = deflate.o trees.o
OBJA =
OBJU = zipfile_.o fileio_.o util_.o globals.o human68k_.o
OBJN = zipnote.o  $(OBJU)
OBJC = zipcloak.o $(OBJU) crc32_.o crypt_.o ttyio.o
OBJS = zipsplit.o $(OBJU)

ZIP_H = zip.h ziperr.h tailor.h human68k/osdep.h

all: zips

.SUFFIXES: _.o .o .c
.c_.o:
	$(CC) $(CFLAGS) -DUTIL -c $< -o $@
.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

ZIPS = zip.x zipnote.x zipsplit.x zipcloak.x

zips: $(ZIPS)

zip.x: $(OBJZ) $(OBJI) $(OBJA)
	$(CC) $(LDFLAGS) -o $@ $(OBJZ) $(OBJI) $(OBJA) $(LIBS)
zipnote.x: $(OBJN)
	$(CC) $(LDFLAGS) -o $@ $(OBJN) $(LIBS)
zipcloak.x: $(OBJC)
	$(CC) $(LDFLAGS) -o $@ $(OBJC) $(LIBS)
zipsplit.x: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)


human68k.o: human68k/human68k.c
	$(CC) $(CFLAGS) -c -o $@ $<

human68k_.o: human68k/human68k.c
	$(CC) $(CFLAGS) -c -o $@ $< -DUTIL

#match.o: human68k/match.s
#	$(AS) $(ASFLAGS) -o $@ $<

deflate.o: human68k/deflate.s
	$(AS) $(ASFLAGS) -o $@ $<

crc_68.o: human68k/crc_68.s
	$(AS) $(ASFLAGS) -o $@ $<


clean:
	rm -f *.o $(ZIPS)

zip.bfd: $(ZIPS)
	rm -f $@
	for file in $(ZIPS); do \
		bdif -A -R uploaded/$$file $$file $@; \
	done

# rules for zip, zipnote, zipcloak, zipsplit.
$(OBJZ): $(ZIP_H)
$(OBJI): $(ZIP_H)
$(OBJN): $(ZIP_H)
$(OBJS): $(ZIP_H)
$(OBJC): $(ZIP_H)
zip.o crc32.o crypt.o fileio.o zipfile.o zipup.o: crc32.h
zipcloak.o crc32_.o crypt_.o fileio_.o zipfile_.o: crc32.h
zip.o zipup.o crypt.o ttyio.o zipcloak.o crypt_.o: crypt.h
zip.o zipup.o zipnote.o zipcloak.o zipsplit.o: revision.h
zip.o crypt.o ttyio.o zipcloak.o crypt_.o: ttyio.h
zipup.o: human68k/zipup.h

# EOF

=== theos/Makefile ===
# Makefile for Zip, ZipCloak, ZipNote and ZipSplit for
# THEOS ANSI C
# To use, do "make -f theos/makefile"
# This make file uses cl, a C compiler and linker driver written by
# Jean-Michel Dubois. Send a mail to jmdubois@ibcfrance.fr to get it for free.
# MAINWA_BUG    Workaround argument expansion failure
# LOCATE_BUG    Workaround stat, fopen and open failure on relative paths to
#               root dir.

CC=cl
CFLAGS=-Zi -W3 -DDYN_ALLOC -DCRYPT -DMAINWA_BUG -DLOCATE_BUG
LD=cl -o
LDFLAGS=-m -Zi
AS=cc
ASFLAGS=

UTILFLAGS=-DUTIL $(CFLAGS) -Fo

# variables

# object file lists
OBJZ = zip.o zipfile.o zipup.o fileio.o util.o globals.o crypt.o ttyio.o \
       theos.o crc32.o _fprintf.o _stat.o _chmod.o _isatty.o \
       _setargv.o _rename.o
OBJI = deflate.o trees.o
OBJA =
OBJU = zipfile_.o fileio_.o util_.o globals.o theos_.o _rename.o _stat.o \
       _chmod.o _fprintf.o
OBJN = zipnote.o  $(OBJU)
OBJC = zipcloak.o $(OBJU) crc32_.o crypt_.o ttyio.o
OBJS = zipsplit.o $(OBJU)

OSDEP_H = theos/osdep.h
ZIP_H = zip.h ziperr.h tailor.h $(OSDEP_H)

ZIPS = zip.command zipnote.command zipsplit.command zipcloak.command

zips:	$(ZIPS)

zip.o:	zip.c $(ZIP_H) crc32.h crypt.h ttyio.h revision.h
	$(CC) -c $(CFLAGS) $*.c

zipfile.o:	zipfile.c $(ZIP_H) crc32.h
	$(CC) -c $(CFLAGS) $*.c

zipup.o:	zipup.c $(ZIP_H) revision.h crc32.h crypt.h
	$(CC) -c $(CFLAGS) $*.c

fileio.o:	fileio.c $(ZIP_H) crc32.h
	$(CC) -c $(CFLAGS) $*.c

util.o:	util.c $(ZIP_H) theos/charconv.h
	$(CC) -c $(CFLAGS) $*.c

globals.o:	globals.c $(ZIP_H)
	$(CC) -c $(CFLAGS) $*.c

crc32.o:	crc32.c $(ZIP_H) crc32.h
	$(CC) -c $(CFLAGS) $*.c

deflate.o:	deflate.c $(ZIP_H)
	$(CC) -c $(CFLAGS) $*.c

trees.o:	trees.c $(ZIP_H)
	$(CC) -c $(CFLAGS) $*.c

crypt.o:	crypt.c $(ZIP_H) crc32.h crypt.h
	$(CC) -c $(CFLAGS) $*.c

theos.o:	theos/theos.c $(ZIP_H)
	$(CC) -c $(CFLAGS) -Fo$@ theos/theos.c

_fprintf.o:	theos/_fprintf.c
	$(CC) -c $(CFLAGS) -Fo$@ theos/_fprintf.c

_stat.o:	theos/_stat.c
	$(CC) -c $(CFLAGS) -Fo$@ theos/_stat.c

_chmod.o:	theos/_chmod.c
	$(CC) -c $(CFLAGS) -Fo$@ theos/_chmod.c

_isatty.o:	theos/_isatty.c
	$(CC) -c $(CFLAGS) -Fo$@ theos/_isatty.c

_rename.o:	theos/_rename.c
	$(CC) -c $(CFLAGS) -Fo$@ theos/_rename.c

_setargv.o:	theos/_setargv.c
	$(CC) -c $(CFLAGS) -Fo$@ theos/_setargv.c

ttyio.o:	$(ZIP_H) ttyio.h ttyio.c
	$(CC) -c $(CFLAGS) $*.c

zipcloak.o:	zipcloak.c $(ZIP_H) crc32.h crypt.h ttyio.h revision.h
	$(CC) -c $(CFLAGS) $*.c

zipnote.o:	zipnote.c $(ZIP_H) revision.h
	$(CC) -c $(CFLAGS) $*.c

zipsplit.o:	$(ZIP_H) revision.h
	$(CC) -c $(CFLAGS) $*.c

zipfile_.o:	zipfile.c $(ZIP_H) crc32.h
	$(CC) -c $(UTILFLAGS)$@ zipfile.c

fileio_.o:	fileio.c $(ZIP_H) crc32.h
	$(CC) -c $(UTILFLAGS)$@ fileio.c

theos_.o:	theos/theos.c $(ZIP_H)
	$(CC) -c $(UTILFLAGS)$@ theos/theos.c

util_.o:	util.c $(ZIP_H)
	$(CC) -c $(UTILFLAGS)$@ util.c

crc32_.o:	crc32.c $(ZIP_H) crc32.h
	$(CC) -c $(UTILFLAGS)$@ $*.c

crypt_.o:	crypt.c $(ZIP_H) crc32.h crypt.h
	$(CC) -c $(UTILFLAGS)$@ crypt.c

zip.command: $(OBJZ) $(OBJI)
	$(LD) $@ $(OBJZ) $(OBJI) $(LDFLAGS)

zipcloak.command: $(OBJC)
	$(LD) $@ $(OBJC) $(LDFLAGS)

zipnote.command: $(OBJN)
	$(LD) $@ $(OBJN) $(LDFLAGS)

zipsplit.command: $(OBJS)
	$(LD) $@ $(OBJS) $(LDFLAGS)

install:	$(ZIPS)
	copy *.command /system.cmd32.=(rep noq not

clean:
	erase *.o(noq not
	erase *.command(noq not

=== unix/Makefile ===
# Makefile for Zip, ZipNote, ZipCloak and ZipSplit

# what you can make ...
all:
	@echo ''
	@echo 'Make what?  You must say what system to make Zip for--e.g.'
	@echo '"make generic".'
	@echo 'Choices: generic, generic_gcc, att6300nodir,'
	@echo 'coherent, cray_v3, cygwin, lynx, minix, os390,'
	@echo 'qnx, qnxnto, solaris, solaris_gcc'
	@echo 'Try first "make -f unix/Makefile generic" as'
	@echo 'it should autodetect and set the proper flags.'
	@echo 'To make the manuals use "make zipsman" after Zip is made.'
	@echo 'See the files INSTALL and zip.txt for more information.'
	@echo ''

list:   all

#MAKE = make -f unix/Makefile
MAKEF = -f unix/Makefile
SHELL = /bin/sh
LN = ln -s

# (to use the GNU compiler, change cc to gcc in CC)
CC = cc
BIND = $(CC)
AS = $(CC) -c
CPP = /lib/cpp
E =

# probably can change this to 'install' if you have it
INSTALL_PROGRAM = cp
# probably can change this to 'install -d' if you have it
# XXX NextStep 3.3 and Openstep 4.x don't know about -p !
INSTALL_D = mkdir -p
CHMOD = chmod
BINFLAGS = 755
MANFLAGS = 644

# target directories - where to install executables and man pages to
prefix = /usr/local
BINDIR = $(prefix)/bin
MANEXT=1
MANDIR = $(prefix)/man/man$(MANEXT)
ZIPMANUAL = zip.txt
ZIPMANUALcloak = zipcloak.txt
ZIPMANUALnote = zipnote.txt
ZIPMANUALsplit = zipsplit.txt
ZIPMANUALs = zip.txt zipcloak.txt zipnote.txt zipsplit.txt
PKGDIR = IZzip
VERSION = Version 3.0

# Our bzip2 directory
IZ_OUR_BZIP2_DIR = bzip2

# flags
#   CFLAGS    flags for C compile
#   LFLAGS1   flags after output file spec, before obj file list
#   LFLAGS2   flags after obj file list (libraries, etc)
CFLAGS_NOOPT = -I. -DUNIX $(LOCAL_ZIP)
CFLAGS = -O2 $(CFLAGS_NOOPT)
LFLAGS1 =
LFLAGS2 = -s

# object file lists
OBJZ = zip.o zipfile.o zipup.o fileio.o util.o globals.o crypt.o ttyio.o \
       unix.o crc32.o zbz2err.o
OBJI = deflate.o trees.o
OBJA =
OCRCU8 =
OCRCTB = crc32_.o
OBJU = zipfile_.o fileio_.o util_.o globals.o unix_.o $(OCRCU8)
OBJN = zipnote.o  $(OBJU)
OBJC = zipcloak.o $(OBJU) $(OCRCTB) crypt_.o ttyio.o
OBJS = zipsplit.o $(OBJU)

ZIP_H = zip.h ziperr.h tailor.h unix/osdep.h

# suffix rules
.SUFFIXES:
.SUFFIXES: _.o .o .c .doc .1
.c_.o:
	$(CC) -c $(CFLAGS) -DUTIL -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $<

.1.doc:
	nroff -man $< | col -bx | uniq > $@

# rules for zip, zipnote, zipcloak, zipsplit, and the Zip MANUALs.
$(OBJZ): $(ZIP_H)
$(OBJI): $(ZIP_H)
$(OBJN): $(ZIP_H)
$(OBJS): $(ZIP_H)
$(OBJC): $(ZIP_H)
zip.o zipup.o zipfile.o fileio.o crc32.o crypt.o: crc32.h
zipcloak.o zipfile_.o fileio_.o crc32_.o crypt_.o: crc32.h
zip.o zipup.o crypt.o ttyio.o zipcloak.o crypt_.o: crypt.h
zip.o zipup.o zipnote.o zipcloak.o zipsplit.o: revision.h
zip.o crypt.o ttyio.o zipcloak.o crypt_.o: ttyio.h
zipup.o: unix/zipup.h

match.o: match.S
	$(CPP) match.S > _match.s
	$(AS) _match.s
	mv _match.o match.o
	rm -f _match.s

crc_i386.o: crc_i386.S
	$(CPP) crc_i386.S > _crc_i386.s
	$(AS) _crc_i386.s
	mv _crc_i386.o crc_i386.o
	rm -f _crc_i386.s

unix.o: unix/unix.c
	$(CC) -c $(CFLAGS) unix/unix.c

unix_.o: unix/unix.c
	$(CC) -c $(CFLAGS) -DUTIL -o $@ unix/unix.c

ZIPS = zip$E zipcloak$E zipnote$E zipsplit$E

zips: $(ZIPS)
zipsman: $(ZIPS) $(ZIPMANUALs)

zip$E: $(OBJZ) $(OBJI) $(OBJA) $(LIB_BZ)
	$(BIND) -o zip$E $(LFLAGS1) $(OBJZ) $(OBJI) $(OBJA) $(LFLAGS2)
zipnote$E: $(OBJN)
	$(BIND) -o zipnote$E $(LFLAGS1) $(OBJN) $(LFLAGS2)
zipcloak$E: $(OBJC) $(OCRCTB)
	$(BIND) -o zipcloak$E $(LFLAGS1) $(OBJC) $(LFLAGS2)
zipsplit$E: $(OBJS)
	$(BIND) -o zipsplit$E $(LFLAGS1) $(OBJS) $(LFLAGS2)

$(ZIPMANUAL): man/zip.1
	nroff -man man/zip.1 | col -bx | uniq > $(ZIPMANUAL)

$(ZIPMANUALcloak): man/zipcloak.1
	nroff -man man/zipcloak.1 | col -bx | uniq > $(ZIPMANUALcloak)

$(ZIPMANUALnote): man/zipnote.1
	nroff -man man/zipnote.1 | col -bx | uniq > $(ZIPMANUALnote)

$(ZIPMANUALsplit): man/zipsplit.1
	nroff -man man/zipsplit.1 | col -bx | uniq > $(ZIPMANUALsplit)


# bzip2 object library

$(IZ_OUR_BZIP2_DIR)/libbz2.a : $(IZ_OUR_BZIP2_DIR)/Makefile
	@echo "Building bzip2 object library..."
	( cd $(IZ_OUR_BZIP2_DIR); \
	  $(MAKE) CC="$(CC_BZ)" CFLAGS="$(CFLAGS_BZ)" libbz2.a )
	@echo "   bzip2 object library created."


# install
install:        $(ZIPS)
	-$(INSTALL_D) $(BINDIR)
	$(INSTALL_PROGRAM) $(ZIPS) $(BINDIR)
	-cd $(BINDIR); $(CHMOD) $(BINFLAGS) $(ZIPS)
	-$(INSTALL_D) $(MANDIR)
	$(INSTALL_PROGRAM) man/zip.1 $(MANDIR)/zip.$(MANEXT)
	$(CHMOD) $(MANFLAGS) $(MANDIR)/zip.$(MANEXT)
	$(INSTALL_PROGRAM) man/zipcloak.1 $(MANDIR)/zipcloak.$(MANEXT)
	$(CHMOD) $(MANFLAGS) $(MANDIR)/zipcloak.$(MANEXT)
	$(INSTALL_PROGRAM) man/zipnote.1 $(MANDIR)/zipnote.$(MANEXT)
	$(CHMOD) $(MANFLAGS) $(MANDIR)/zipnote.$(MANEXT)
	$(INSTALL_PROGRAM) man/zipsplit.1 $(MANDIR)/zipsplit.$(MANEXT)
	$(CHMOD) $(MANFLAGS) $(MANDIR)/zipsplit.$(MANEXT)

uninstall:
	-cd $(BINDIR); rm -f $(ZIPS)
	-cd $(MANDIR); rm -f \
	 zip.$(MANEXT) zipcloak.$(MANEXT) zipnote.$(MANEXT) zipsplit.$(MANEXT)


flags:  unix/configure
	sh unix/configure "${CC}" "${CFLAGS_NOOPT}" "${IZ_BZIP2}"

# These symbols, when #defined using -D have these effects on compilation:
# ZMEM                  - includes C language versions of memset(), memcpy(),
#                         and memcmp() (util.c).
# HAVE_DIRENT_H         - use <dirent.h> instead of <sys/dir.h>
# NODIR                 - for 3B1, which has neither getdents() nor opendir().
# HAVE_NDIR_H           - use <ndir.h> (unix/unix.c).
# HAVE_SYS_DIR_H        - use <sys/dir.h>
# HAVE_SYS_NDIR_H       - use <sys/ndir.h>
# UTIL                  - select routines for utilities (note, cloak, split)
# NO_RMDIR              - remove directories using a system("rmdir ...") call.
# NO_PROTO              - cannot handle ANSI prototypes
# NO_CONST              - cannot handle ANSI const
# NO_LARGE_FILE_SUPPORT - do not enable Large File support even if available.
# NO_ZIP64_SUPPORT      - do not enable Zip64 archive support even if available.
# NO_UNICODE_SUPPORT    - do not enable Unicode support even if available.
# NO_BZIP2_SUPPORT      - do not compile in bzip2 code even if available.

#               Generic targets:

generic: flags
	eval $(MAKE) $(MAKEF) zips `cat flags`

generic_gcc:
	$(MAKE) $(MAKEF) generic CC=gcc CPP="gcc -E"

# AT&T 6300 PLUS (don't know yet how to allocate 64K bytes):
att6300nodir:
	$(MAKE) $(MAKEF) zips LFLAGS1="-Ml -s" \
	CFLAGS="-DUNIX -I. -O -Ml -DNO_RMDIR -DDYN_ALLOC -DMEDIUM_MEM \
-DWSIZE=16384 -DNO_STDLIB_H -DNO_STDDEF_H -DNO_RENAME \
-DNO_MKTIME -DNO_SIZE_T -DNO_VOID -DNO_PROTO -DNO_DIR \
-DNO_CONST -DHAVE_TERMIO_H" \
	"LFLAGS2="

# Coherent (AS definition not needed for gcc)
coherent:
	$(MAKE) $(MAKEF) zips CFLAGS="-DUNIX -I. -O -DDIRENT -DASMV" \
	 AS="as -gx" OBJA=match.o

# Cray Unicos 6.1, Standard C compiler 3.0 (all routines except trees.c
# may be compiled with vector3; internal compiler bug in 3.0.2.3 and
# earlier requires vector2 for trees.c)
cray_v3:
	$(MAKE) $(MAKEF) zips CC="scc" \
		CFLAGS="-DUNIX -I. -O -h vector2 -h scalar3 -DHAVE_DIRENT_H"

# Cygwin
cygwin:
	$(MAKE) $(MAKEF) generic CC="gcc" CPP="gcc -E" EXE=".exe"

# LynxOS
lynx:
	$(MAKE) $(MAKEF) generic CC=gcc CPP="gcc -E" CFLAGS="$(CFLAGS) \
	 -DNO_UNDERLINE -DLynx -DLYNX LFLAGS2="$LFLAGS2 -lc_p"

# MINIX 1.5.10 with Bruce Evans 386 patches and gcc/GNU make
minix:
	$(MAKE) $(MAKEF) zips CFLAGS="-DUNIX -I. -O -DDIRENT -DMINIX" CC=gcc
	chmem =262144 zip

# IBM OS/390 (formerly MVS) compiled under "OpenEdition" shell
# You can make the zip executable with IBM's make, but you will
# get errors dealing with the _.o targets for the other executables
# (zipcloak, etc).  GNU make will build all the executables.
# If you have GNU make in your path as gmake, you can uncomment
# the following, but it shouldn't be needed:
#MAKE = gmake

os390:
	$(MAKE) $(MAKEF) zips CFLAGS="$(CF) -I. -DUNIX -DOS390 -DEBCDIC \
	 -DSYSV -DNO_PARAM_H" LFLAGS2=""

# QNX is "special" because out /bin/sh is ksh and it doesn't grok the
# configure script properly, generating a bad flags file.  D'oh! [cjh]
#
# QNX/Neutrino is "special" because you don't have any native development
# tools yet.  Set ARCH to "x86", "ppcbe", "ppcle", "mipsbe", or "mipsle"
# to produce x86, PowerPC (big- or little-endian) and MIPS (big-
# or little-endian) using gcc. [cjh]
qnx:
	$(MAKE) $(MAKEF) zips LN=ln CC=cc CFLAGS="-DUNIX -I. -O \
	 -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -DNO_MKTEMP"

qnxnto:
	@if [ "$(ARCH)" = "" ] ; then \
		echo "You didn't set ARCH; I'll assume you meant ARCH=x86..." ; \
		echo "" ; \
		$(MAKE) $(MAKEF) zips LN=ln CC="qcc -Vgcc_ntox86" \
			CFLAGS="-g -DUNIX -I. -O -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -DNO_MKTEMP" \
			LFLAGS2=-g ; \
	else \
		echo "Making zip for $(ARCH)..." ; \
		echo "" ; \
		$(MAKE) $(MAKEF) zips LN=ln CC="qcc -Vgcc_nto$(ARCH)" \
			CFLAGS="-g -DUNIX -I. -O -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -DNO_MKTEMP" \
			LFLAGS2=-g ; \
	fi

# Solaris:  Generic, plus generation of installable package.
solaris:	generic svr4package

# Solaris with GCC: generic_gcc, plus generation of installable package
solaris_gcc:	generic_gcc svr4package

# Package generation interface (by JBush). Originally tested under Sun Solaris.
# Other SVr4s may be very similar, and could possibly use this.
# Note:  Expects version info to be stored in VERSION macro variable.
# See "README" under ./unix/Packaging
svr4package:
	@echo "Creating SVR4 package for Unix ..."
	-@rm -rf ./$(PKGDIR) ./$(PKGDIR)_`uname -p`.pkg
	-@sed -e "s/.VERSION./$(VERSION)/g" \
	      -e "s/.PSTAMP./$(LOGNAME)_`date | tr  ' ' '_'`/g" \
	      -e "s/.ARCH./Solaris_`uname -rp | tr ' ' ','`/g" \
	      ./unix/Packaging/pkginfo.in > ./unix/Packaging/pkginfo
	-@sed -e "s/.ARCH./`uname -p`/g" \
	      ./unix/Packaging/preinstall.in > ./unix/Packaging/preinstall
	/usr/bin/pkgmk -d . -b . -r . -f ./unix/Packaging/prototype $(PKGDIR)
	/usr/bin/pkgtrans -o -s . $(PKGDIR)_`uname -p`.pkg $(PKGDIR)
	@echo " "
	@echo "To install, copy $(PKGDIR)_`uname -p`.pkg to the target system, and"
	@echo "issue the command (as root):  pkgadd -d $(PKGDIR)_`uname -p`.pkg"
	@echo " "

# make a distribution
dist:	$(ZIPMANUAL)
	eval zip -r9 zip`sed -e '/VERSION/!d' -e 's/.*"\(.*\)".*/\1/' \
			  -e 's/[.]//g' -e 's/ .*//g' -e q revision.h` *

# clean up after making stuff and installing it
clean:
	rm -f *.o $(ZIPS) flags
	rm -rf $(PKGDIR)

clean_bzip2 :
	@if test -f "$(IZ_OUR_BZIP2_DIR)/Makefile"; then \
	  ( cd $(IZ_OUR_BZIP2_DIR); make clean ); \
	else \
          if test -z "$(IZ_OUR_BZIP2_DIR)"; then \
	    echo "No bzip2 directory (\"IZ_OUR_BZIP2_DIR\") specified."; \
	  else \
	    echo "No bzip2 make file found: $(IZ_OUR_BZIP2_DIR)/Makefile."; \
	  fi; \
	fi

clean_exe :
	rm -f $(ZIPS)
#

=== debian/changelog ===
zip (3.0-8) unstable; urgency=low

  * Dropped copyright sentence saying zcrypt was in the public domain.
    The whole zip package is now under Info-ZIP license.
  * Added recommended targets build-arch and build-indep.
  * Dropped obsolete Conflicts and Replaces on zip-crypt, for which
    the last version was a dummy transitional package.
  * The copyright file is generated from copyright.in at build time.
    Added lintian override for no-debian-copyright.

 -- Santiago Vila <sanvila@debian.org>  Mon, 14 Oct 2013 18:51:24 +0200

zip (3.0-7) unstable; urgency=low

  * Use the right strip command when cross-building. Closes: #695429.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Feb 2013 17:12:14 +0100

zip (3.0-6) unstable; urgency=low

  * Added Multi-Arch: foreign.

 -- Santiago Vila <sanvila@debian.org>  Sat, 30 Jun 2012 14:20:38 +0200

zip (3.0-5) unstable; urgency=low

  * Build with hardening flags. Closes: #673476.

 -- Santiago Vila <sanvila@debian.org>  Mon, 21 May 2012 19:17:26 +0200

zip (3.0-4) unstable; urgency=low

  * zipnote.c: Close `in_file' instead of undefined file `x'.
    Should make zipnote to work again. Closes: #628594.

 -- Santiago Vila <sanvila@debian.org>  Thu, 09 Jun 2011 15:30:08 +0200

zip (3.0-3) unstable; urgency=low

  * Added homepage field to control file.
  * Switch to 3.0 (quilt) source format.
  * Support cross-build.

 -- Santiago Vila <sanvila@debian.org>  Sun, 21 Feb 2010 17:08:02 +0100

zip (3.0-2) unstable; urgency=low

  * Fixed two manpage spelling errors (lintian warning).
  * Mark old changelog entries as such (lintian warning).
  * Remove .comment section from executables (lintian warning).
  * Added stack markings to avoid executable stack. Closes: #528280.
  * Added bzip2 support. Use "-Z bzip2" on the command line to enable it.

 -- Santiago Vila <sanvila@debian.org>  Mon, 08 Feb 2010 17:51:18 +0100

zip (3.0-1) unstable; urgency=low

  * New upstream release. Closes: #496986, #520562.
  * This release has large file support. Closes: #308345.
  * zipcloak, zipnote and zipsplit have now manpages. Closes: #411828.
  * Warning: If you use any of the new features, you might need unzip 6.0
    (not released yet) for unzipping. You have been warned.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Apr 2009 20:27:34 +0200

=== debian/control ===
Source: zip
Section: utils
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.9.4
Build-Depends: libbz2-dev
Homepage: http://www.info-zip.org/Zip.html

Package: zip
Architecture: any
Depends: ${shlibs:Depends}
Recommends: unzip
Multi-Arch: foreign
Description: Archiver for .zip files
 This is InfoZIP's zip program. It produces files that are fully
 compatible with the popular PKZIP program; however, the command line
 options are not identical. In other words, the end result is the same,
 but the methods differ. :-)
 .
 This version supports encryption.

=== debian/rules ===
#!/usr/bin/make -f

package = zip
docdir = debian/tmp/usr/share/doc/$(package)

CC = gcc
CFLAGS := `dpkg-buildflags --get CFLAGS` -Wall -I. -DUNIX
LDFLAGS := `dpkg-buildflags --get LDFLAGS`
CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`
STRIP = true

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC=$(DEB_HOST_GNU_TYPE)-gcc
  STRIPCMD=$(DEB_HOST_GNU_TYPE)-strip
else
  STRIPCMD=strip
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP = $(STRIPCMD) --remove-section=.comment --remove-section=.note
endif

build:
	LDFLAGS="$(LDFLAGS)" sh unix/configure "$(CC)" "$(CFLAGS) $(CPPFLAGS)"
	$(MAKE) -f unix/Makefile generic
	touch build

clean:
	rm -f build
	$(MAKE) -f unix/Makefile clean
	rm -rf debian/tmp debian/files* debian/*~ debian/*.bak debian/substvars

binary-indep: build

binary-arch: build
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	cd debian/tmp && install -d usr/bin usr/man/man1
	$(MAKE) -f unix/Makefile install prefix=`pwd`/debian/tmp/usr
	chmod 755 debian/tmp/usr/bin/*
	cat debian/copyright.in LICENSE > $(docdir)/copyright
	cp debian/changelog $(docdir)/changelog.Debian
	cp -p CHANGES TODO WHATSNEW $(docdir)
	cd $(docdir) && gzip -9 changelog.Debian CHANGES
	ln -s CHANGES.gz $(docdir)/changelog.gz
	$(STRIP) debian/tmp/usr/bin/*
	gzip -r9 debian/tmp/usr/man
	cd debian/tmp && mv usr/man usr/share
	dpkg-shlibdeps debian/tmp/usr/bin/*
	dpkg-gencontrol
	cd debian/tmp && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	chown -R 0:0 debian/tmp
	chmod -R u+w,go=rX debian/tmp
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

build-arch: build

build-indep: build

.PHONY: binary binary-arch binary-indep clean

## zip 3.0-1maemo3

=== debian/changelog ===
zip (3.0-1maemo3) fremantle; urgency=low

  * Updated to latest source code
  * Optified for fremantle
  * Renamed to zip for simplicity, because unzip6 is already unzip

 -- Andrew Zabolotny <zap@homelink.ru>  Sun,  7 Nov 2010 10:33:20 +0300

zip3 (3.0-1maemo2) hardy; urgency=low

  * Increased version number to force builder to re-index the package

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 09 Aug 2008 18:03:59 +0400

zip3 (3.0-1maemo1) diablo; urgency=low

  * The first ever package of Zip 3.0 for Maemo

 -- Andrew Zabolotny <zap@homelink.ru>  Thu, 31 Jul 2008 02:31:25 +0400

=== debian/control ===
Source: zip
Section: user/utilites
Priority: optional
Maintainer: Andrew Zabolotny <zap@homelink.ru>
XSBC-Original-Maintainer: Daniel Martin Yerga <dyerga@gmail.com>, Danny Milosavljevic <danny.milo@gmx.net>
Standards-Version: 3.6.1
Build-Depends: libbz2-1.0

Package: zip
Architecture: any
Depends: ${shlibs:Depends}
Recommends: unzip
Conflicts: zip-crypt (<= 2.30-2)
Replaces: zip-crypt (<= 2.30-2)
XB-Maemo-Display-Name: InfoZIP's Zip
Description: Command-line archiver for .zip files
 This is InfoZIP's zip program. It produces files that are fully
 compatible with the popular PKZIP program; however, the command line
 options are not identical. In other words, the end result is the same,
 but the methods differ. :-)
 .
 This version supports encryption and bzip2 compression.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAACqtJREFUaN69
 mV+oZedZxn/Pt9be58xM2tJSYvyDTmJiI/jn0AYbvLEgOFMV8UbRCy9qTYWIVwqmQeIQCg2IATEE
 nEDAXJTihb2REFHagDdHGHGMRuN0UAtpm9RoMuesvfda6/u+9/VifWtnnT17zpyZTPPBYv9Za+/1
 vM/3vO/3vN8Sk/HBD37g3O7O7s9VVbi3qqrZznxus1mdq3oWu75Lli25m7mTpZAkcs4pg5JDzjEm
 82wh1ClUIeWUopmlqqpzVVXZzczcUl3VsaqqpECUFKtQRYcIREldFdRLIYZKvZv37t7nnHsUukpa
 Ae2rr11JAAI4+8ADdZXTxQd++N7P1FUgp0hVBeq6QkA2w93J2cjZMDMzcze3bGbZhnfZ8WxGcrfs
 7tmdiHt0vHenB+9ALe6tixXOEmmFs5BYOCwEDbCQ1AAL8IWZL8x86bAMIazcWZl788q/vBprgLt2
 5r/z8R/f+8x33nrLrlz9T1uuVpjZEB04EgKXcAdAJnB3bHjBcDcggwx5BmVB+Q4r1zjgDg7Y8J8y
 JNNwXUZkUBIkICKiUJIUQ1CqqjqdPn3aZnVVf2LvJ3L9sR99cHbfD/3Abx0cHPB3X/t7yzkrVJUE
 SOU2AR9lJuSIwACuAkySj5+DlBEChfITl3CQAUkigCQVWoRpCMCQkqSkQUrlIAr1SDGEEEOoUjbL
 d505YyFI9XKxPHvXmdP3/sOlf/Jspvl8rlFaZGAX6I9AsnK6gnVgBoRhthhi1zq1HOS4m4sslMCj
 O9GhF/Tu3oJayVvBClgNn1lRNF+F0Dn0Ukixj2kVVjafz73emc++f9Eszrxz7SDVVTWAj+CGdMqZ
 /UkiPRewf6wGMDsDqRPwYy4ZYIOsMMkLWJLjPdDhdBlrhVqkpbstBQukQftSg3uDWAg1kpaIlVDr
 5l0w790sutfZIWfHayx/qO17uq53SSIDd7vmf5SY/bKhe2D+G0b6aqb/fI29KjHHcbwE4Yz6HY40
 HIpoZJd2YJUlsES+wH3hzqHDIe6Hkg5xPwQanAZ8MSQxK4lOqFNQzBZSNstu5q9/81teZ7MzXR+x
 nIf5zrDzp4n5rxr9V4Q+CjQw+0Un/FjUcm9mNDIqRt1vACcCPUUaJYARfAGlBrxx5xDePXwIpAEW
 7r4ErSTaUsEiRqoqNxz/zjvXHCDU9exUTAkzc0zoFFQPO9ZC+ys19s+i++3auqeD235wfXjN/g3B
 S+oK+KLnETiLEag7B8CBpAPgwN0PgMbdF+4+Mt+aeWdmEUi4567r7bBp1vKtQwg7MWYcR0HuHfjX
 ofpB2PnzTDjr6B6n+706A64apz4CPk5e1+A3ZDOCb6aMA4dmdiipkTSCX0paSerMrANiCCHnnHNK
 yTdyj5By3okp446joV50v1+T/03sfNaY/axz6mspnPrrWFWfNDwdYX0E3wPdBPxxwKfMD9qfMF/A
 txPwKaW0FTxD6dNOzsb6ZA12Odhyb2bLT9eWLsn9v+SzX3Cd/ts0C3sGcS2ZNOq9gB8lMw1gE/xa
 7yWAZgxgAr6fgLec81bwAMHM5u42XODArnv1M0b4hBFfCmb/Klbn6tg+EZI+APWnPbgTJzPQSWon
 sjmW+aL3EfyhuzfuvgghrMEPq25IMcZjwQ85UFUzMzPAlZT5iNenvhqDvwmLT84MB+aYdhiWse5I
 0nZbNL8oQTTbNA80kg6L5pfuXvyNd+7elxU4p5Ss4Dp21JLmPvgYY0bl35D1f1xp5w9yOHMl1jRQ
 n7fd8L2Qr2Dxr8JK0BPVAVPND+ADS2pWI9ipbMagpgkbQmg3wccYTwQeoK6rau7uSZIjnBrvH69S
 fkWhPmeqf96CvaLc/1mI8YWw8G9qGe7G9CGv3L1C1MBsXZUatf4WB2gNvpnW+A3m21Juew0+6JbA
 DzMQgnz4wXAUC5a+FFL6Usg7T6fd+HTV2OtqJaKktv719JHZo/nDk5XYiw8ifiVc7R+r/10zlpOE
 HWWzMLMFsNqQzW2BB6jdTECWNAYBAs0HRvsn6gMiUXOipN7d+/gX1evpL8N/+6TiSFqCL73lbdXD
 grUN/Fhp3L0zsz6EEIHc970XKd/SqM3MJKVii6vBsuMlSTMtEdErKK6TtWHlB1q8W3HUOH4IOkQ0
 VO8GMJWNpOUI3t3jCD7GaF5ufFsBVFWVJ6ZstAlDAIG+MN+tK01gSZjWel/coHQ2hfnrwEt6z+BH
 K2HrJB5scZgEMIIfy+S0zi/HOr6tVI7VpoBfSVp1Xfcmd2bo3Rxwz5IGnyOFkgu5JNdR5kc7XJgu
 4A8K2INJMA1wRPNd1725v7/P3kN7t436qS88BcCFCxdGsqmB5O5xXO1KK5VZd0p0m96maLrZtMKj
 fDZkM5qy64AcNx77w8do3mluLqGJn5m0gMMqu4X5ZsL81A4cTrS/nDJffE2/eeMLFy7cNACAq1ev
 niyAwrwBXmakK6BXGwm6Xl03wK8bkVHzU1N2My1vjBMndQ3EonMV7dtEPssNX7ON+cOpNYgxXrkF
 WftxAT3zzDMnWMgGtltJcvdq4u+nCXu4CX5LI7KQ1ALs7++fJBGPldRJ8gRA999//++6+y+98cYb
 AkLOOZVavZwk7OE2zW/roq4trv3P7VaZ3XpXJ5TRpIwOjnJVvpSk5O6tpEXx6ltLZTk/BT8mLAAP
 PvLykTu+9tynePCRl9ev4/jyF8+x99FuK8g2tQ7wud/8HAAvvPDCdTILuPdlUVpbg9IljaxfK4AP
 NjQ/NiLLaSOyCfq15z61lcLx3K99/m+OmxEuX7rMxecv8uijj96wHxjlMo6+zMiRpN0im5WkVbHD
 41ZgmgIcZ+LLXzxXitqtj2effRaAi89fpE0tu/Xu0Zay+JOFpJH50b+PzffhRELTRmQFjMz3klKM
 8YibHMFvk8iDj7w8CW77aFPLxecvMspoEzxAKOXyiGwkrYGXQK7rX8dGJISwtYuagt/Mh6mEbqD/
 k0vIYVUS08pWesuwsdRsOMoFw/78thYwm9l1VeM4fd8pCem+++77KTP76bffftvMLOecWzMbK8y0
 2ky7qHij/nWsHO9bGbVBQoejCy3+Z5yBZdnm22Q+lS7KNruo3Xr32IXsxRdf3Pr9k08+eWSFblN7
 MjcqaH2QipXWclwDFiWA65gvjcgNW8CHH354K8j9/X0ef+JxnvrCUzc1c8DJ3KhEx7AXb0NzfWR/
 ZzVhPoYQorsfC/4WDZpuBvCmblSiw2m07sK03qSatIB9CCGdAPytDn+vf1CHUPVGXigoVx6yuY19
 wJT55O6573t7rze9fOky58+f5/z58ze99kRuNIiIwjKEkN09BQu9yTpJvZnFEEI0MyuLlL/Xknj2
 7FlCCDe99qWXXjqZG/3YjzxwSvjd1w4aSymmPqaYUupzTtGd5O52J5i/U5K5rowGkUOoVnVduVnO
 IQzPZBmeJuYYe/9u3HgslZcvXb7pj/Ye2hsXMF2/N1rPskQ3m9WeLefKLOdsOYRgw27ZHQN/23I5
 7nw9m1UG6uezGSlns2yWq5zNgpenIu/LOMm6cMMpfejjP1nHmLRYLr3rOlutWn/rf//vuw3+ttaF
 LY+YwI0cgmxW1zabzd4P8CPYzeOWRwXw7Tfe5Pvu+R6cwH9c+fr7Jps7Mf4fcOvR6511CTkAAAAA
 SUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f

PKG_VERSION = 3.0
DEB_TARBALL = zip30.tar.gz
DEB_TAR_SRCDIR = zip$(subst .,,$(PKG_VERSION))
DEB_DH_INSTALL_SOURCEDIR = build-tree/$(DEB_TAR_SRCDIR)

CC = gcc
CFLAGS = -s -Wall -I. -DUNIX

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/debhelper.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

clean::
	rm -f *.cdbs-config_list debian/stamp-*

configure/zip::
	cd $(DEB_DH_INSTALL_SOURCEDIR) && \
	$(MAKE) -f unix/Makefile flags CC="$(CC)" CFLAGS_NOOPT="$(CFLAGS)"

common-build-arch common-build-indep:: debian/stamp-build
debian/stamp-build:
	cd $(DEB_DH_INSTALL_SOURCEDIR) && \
	$(MAKE) -f unix/Makefile generic

binary-post-install/zip::
	rm -rf debian/zip/usr/share

## zip 3.0-1maemo4

=== debian/changelog ===
zip (3.0-1maemo4) fremantle; urgency=low

  * Fixed section to user/utilities
  * Added XSBC-Bugtracker to control file

 -- Andrew Zabolotny <zap@homelink.ru>  Sun,  7 Nov 2010 18:29:20 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zip
-Section: user/utilites
+Section: user/utilities
 Priority: optional
 Maintainer: Andrew Zabolotny <zap@homelink.ru>
+XSBC-Bugtracker: mailto:zap@homelink.ru
 XSBC-Original-Maintainer: Daniel Martin Yerga <dyerga@gmail.com>, Danny Milosavljevic <danny.milo@gmx.net>
 Standards-Version: 3.6.1
 Build-Depends: libbz2-1.0

## zip 3.0-1maemo5

=== debian/changelog ===
zip (3.0-1maemo5) fremantle; urgency=low

  * Fixed support for bzip2 compression (was supposed to be enabled,
    in fact was not). Use -Z bzip2 to compress files in .zip archives
    with bzip2 algorithm.

 -- Andrew Zabolotny <zap@homelink.ru>  Tue,  9 Nov 2010 02:54:40 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Bugtracker: mailto:zap@homelink.ru
 XSBC-Original-Maintainer: Daniel Martin Yerga <dyerga@gmail.com>, Danny Milosavljevic <danny.milo@gmx.net>
 Standards-Version: 3.6.1
-Build-Depends: libbz2-1.0
+Build-Depends: libbz2-dev
 
 Package: zip
 Architecture: any

## zip 3.0-4+6.0trisquel1

=== debian/changelog ===
zip (3.0-4+6.0trisquel1) toutatis; urgency=low

  * Removed proprietary suggestions from the manual file     Closes
    #6711

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 02 Feb 2013 23:26:22 +0000

=== debian/control ===
Source: zip
Section: utils
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Standards-Version: 3.9.2
Build-Depends: libbz2-dev
Homepage: http://www.info-zip.org/Zip.html

Package: zip
Architecture: any
Depends: ${shlibs:Depends}
Recommends: unzip
Conflicts: zip-crypt (<= 2.30-2)
Replaces: zip-crypt (<= 2.30-2)
Description: Archiver for .zip files
 This is InfoZIP's zip program. It produces files that are fully
 compatible with the popular PKZIP program; however, the command line
 options are not identical. In other words, the end result is the same,
 but the methods differ. :-)
 .
 This version supports encryption.

## zip 3.0-13ubuntu0.2trisquel1

=== debian/changelog ===
zip (3.0-13ubuntu0.2trisquel1) ecne; urgency=medium

  * Removed proprietary suggestions from the manual file     Closes
    #6711

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 07 Feb 2025 06:38:47 +0000

zip (3.0-13ubuntu0.2) noble; urgency=medium

  * d/p/13-buffer-overflow.patch:
    Fix buffer overflow when invoked with `-T -TT` (LP: #2093024)
  * d/tests: Add a basic dep8 test for the two recent bugs fixed.

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Wed, 22 Jan 2025 10:00:33 +0100

zip (3.0-13ubuntu0.1) noble; urgency=medium

  * d/p/13-buffer-overflow.patch: Fix buffer overflow when filename contains
    unicode characters (LP: #2062535)

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Fri, 01 Nov 2024 00:25:05 +0800

zip (3.0-13build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:24:10 +0200

zip (3.0-13) unstable; urgency=medium

  * Drop debian/source/lintian-overrides, obsolete since version 3.0-11.
  * Update URI for Info-ZIP license in copyright file.
  * Update standards version to 4.6.2.
  * Rules-Requires-Root: no.
  * Run wrap-and-sort.
  * Update Homepage.

 -- Santiago Vila <sanvila@debian.org>  Sun, 19 Feb 2023 19:00:00 +0100

zip (3.0-12) unstable; urgency=medium

  * Rename all debian/patches/* to have .patch ending.
  * Fix manpage typo (amgibuities -> ambiguities).
  * Update dependency on debhelper.

 -- Santiago Vila <sanvila@debian.org>  Tue, 02 Feb 2021 22:47:00 +0100

zip (3.0-11) unstable; urgency=medium

  * Ship a debian/copyright file in source package instead of generating
    it a build time. Closes: #795569.

 -- Santiago Vila <sanvila@debian.org>  Sun, 16 Aug 2015 23:38:04 +0200

zip (3.0-10) unstable; urgency=medium

  * Remove build date embedded in binary to make the build reproducible.
    One should really look at jenkins.debian.net. Closes: #779042.

 -- Santiago Vila <sanvila@debian.org>  Sun, 17 May 2015 15:35:52 +0200

zip (3.0-9) unstable; urgency=medium

  * Switch to dh. Package should now build reproducibly. Closes: #779042.

 -- Santiago Vila <sanvila@debian.org>  Sun, 17 May 2015 12:41:32 +0200

=== debian/control ===
Source: zip
Section: utils
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), libbz2-dev
Homepage: https://infozip.sourceforge.net/Zip.html
Rules-Requires-Root: no

Package: zip
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: unzip
Multi-Arch: foreign
Description: Archiver for .zip files
 This is InfoZIP's zip program. It produces files that are fully
 compatible with the popular PKZIP program; however, the command line
 options are not identical. In other words, the end result is the same,
 but the methods differ. :-)
 .
 This version supports encryption.

## zip 3.0.1

=== debian/changelog ===
zip (3.0.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: efb2962235314924648a767354886eb8d2f61e87']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 20:50:57 +0000

=== debian/control ===
Source: zip
Section: utils
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libbz2-dev
Homepage: http://www.info-zip.org/Zip.html

Package: zip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: unzip
Multi-Arch: foreign
Description: Archiver for .zip files
 This is InfoZIP's zip program. It produces files that are fully
 compatible with the popular PKZIP program; however, the command line
 options are not identical. In other words, the end result is the same,
 but the methods differ. :-)
 .
 This version supports encryption.
